Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class AbstractBEAManagedConnectionFactory

    java.lang.Object
      |
      +--com.bea.adapter.spi.AbstractManagedConnectionFactory
            |
            +--com.bea.adapter.spi.AbstractBEAManagedConnectionFactory

public abstract class AbstractBEAManagedConnectionFactory
extends AbstractManagedConnectionFactory

Extends AbstractManagedConnectionFactory to provide BEA specific license verification. Only BEA adapter developers should use this extension.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.adapter.spi.AbstractManagedConnectionFactory
`m_achPassword, m_changes, m_strAdapterDescription, m_strAdapterName, m_strAdapterVendorName, m_strAdapterVersion, m_strAdditionalLogContext, m_strConnectionURL, m_strCountryCode, m_strLanguageCode, m_strLogConfigFile, m_strLogLevel, m_strMessageBundleBase, m_strPortNumber, m_strRootLogContext, m_strServerName, m_strUserName, m_vetos`

Constructor Summary
`AbstractBEAManagedConnectionFactory()` Constructs an instance if the license verification succeeds.

Method Summary
`protected ValidationResult` | `checkLicense()` Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.
`protected abstract java.lang.String` | `getLicensedProductComponent()`
`protected abstract java.lang.String` | `getLicensedProductName()`
`protected abstract java.lang.String` | `getLicensedProductRelease()`

Methods inherited from class com.bea.adapter.spi.AbstractManagedConnectionFactory
`addPropertyChangeListener, addVetoableChangeListener, appendField, assertValidLicense, assertValidState, checkState, compareCharArrays, comparePropertyValues, createConnectionFactory, createConnectionFactory, createConnectionFactory, equals, getAdapterDescription, getAdapterName, getAdapterVendor, getAdapterVersion, getAdditionalLogContext, getConnectionURL, getCountryCode, getLanguageCode, getLogConfigFile, getLogContext, getLogger, getLogLevel, getLogWriter, getMessageBundleBase, getPassword, getPasswordCredential, getPasswordFromRequestInfo, getPortNumber, getRootLogContext, getServerName, getUserName, getUserNameFromRequestInfo, hashCode, hasSameBaseProperties, hasSameConnectionProperties, initAdapterMetaData, initializeLogResources, isValidState, logInfo, matchManagedConnections, removePropertyChangeListener, removeVetoableChangeListener, setAdapterDescription, setAdapterName, setAdapterVendor, setAdapterVersion, setAdditionalLogContext, setConnectionURL, setCountryCode, setLanguageCode, setLogConfigFile, setLogLevel, setLogWriter, setMessageBundleBase, setPassword, setPortNumber, setRootLogContext, setServerName, setUserName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractBEAManagedConnectionFactory

    public AbstractBEAManagedConnectionFactory()
                                        throws javax.resource.ResourceException

  Constructs an instance if the license verification succeeds.

Method Detail

### getLicensedProductName

    protected abstract java.lang.String getLicensedProductName()

  Returns:
    this product's name for license verification; BEA adapter developers should make this method `final`

### getLicensedProductRelease

    protected abstract java.lang.String getLicensedProductRelease()

  Returns:
    this product's release for license verification; BEA adapter developers should make this method `final`

### getLicensedProductComponent

    protected abstract java.lang.String getLicensedProductComponent()

  Returns:
    this product's component for license verification; BEA adapter developers should make this method `final`

### checkLicense

    protected final ValidationResult checkLicense()

  Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.

  Returns:
    ValidationResult - an object that describes the result of a validation check; a `ValidationResult` object may or may not have additional information associated with it. The additional information is used to generate a "better" exception on a failed validation attempt.
  Overrides:
    checkLicense in class AbstractManagedConnectionFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)